Bug 58134 - /etc/mime.types additions
/etc/mime.types additions
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mailcap (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
http://www.mindprod.com/jglossm.html#...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-09 10:40 EST by Jeff Stern
Modified: 2014-03-16 22:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-07 16:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Stern 2002-01-09 10:40:18 EST
some more mime types for the /etc/mime.types file:

java archives:
   application/x-java-archive      jar
   application/x-jar               jar
jar update files:
   application/x-java-archive-diff jardiff
java source code:
   application/x-java-source       java
java web-start apps:
   application/x-java-jnlp-file    jnlp
ms-office mime types. 2 are:
   application/vnd.ms-powerpoint   pps
   application/vnd.ms-excel        xls
html:
   text/html                       html htm
chemical types:
   chemical/x-mdl-molfile          mol
   chemical/x-mdl-tgf              tgf
   chemical/x-mdl-rxnfile          rxnfile
   chemical/x-pdb                  pdb
   chemical/x-gaussian-input       gau
   chemical/x-xyz                  xyz
   chemical/x-mopac-input          mop
   chemical/x-embl-dl-nucleotide   emb embl
   chemical/x-csml                 csm csml
   chemical/x-spt                  spt
   chemical/x-javascript           js         <-- conflict?
   chemical/x-kinemage             kin

.. and probably others, from URL's like the one supplied in this bug-report, 
and others on the web..

anyway, hope this helps!

(and also, thanks for all the hard work, guys/gals! 7.2 is great!)
Comment 1 Jeff Stern 2002-01-09 10:48:06 EST
sorry, forgot about java web archives. so:

java archives:
   application/x-java-archive      jar war
   application/x-jar               jar war

also, there already is a powerpoint type in /etc/mime.types, but it's a ppt 
only:

   application/vnd.ms-powerpoint   ppt

so it should just be augmented:

   application/vnd.ms-powerpoint   ppt pps
Comment 2 Michael Schwendt 2002-01-12 13:09:19 EST
audio/prs.sid      sid

http://www.iana.org/assignments/media-types/audio/prs.sid
Comment 3 Need Real Name 2002-03-22 19:10:03 EST
not to mention xls == application/vnd.ms-excel.

go to http://cvs.apache.org/viewcvs.cgi/httpd-2.0/docs/conf/mime.types for
apache's latest mime types (which it appears the file that redhat copies for its
mime.types).  it'd be nice if redhat would just use this file and munge the rpm
extension.

apache says that ftp://ftp.iana.org/in-notes/iana/assignments/media-types/ is
the place to go for the "official" mimetypes, but it appears to be dead.
Comment 4 Warren Togami 2002-06-25 03:32:56 EDT
application/x-ogg     ogg

It is mentioned at http://www.xiph.org/archives/vorbis/200008/0040.html by a
xiph.org person.
Comment 5 Warren Togami 2002-09-02 19:30:22 EDT
Please bump this up to null.  It still would be nice to have these in the
default mime.types.
Comment 6 Bill Nottingham 2003-02-07 16:22:59 EST
synced with upstream apache in 2.1.13-1.

Note You need to log in before you can comment on or make changes to this bug.